
def list_files():
    import subprocess

    # Get all files in the project
    all_files = subprocess.run(["git", "ls-files"], capture_output=True, text=True).stdout.split("\n")

    files_in_directories = {}

    for file in all_files:
        directory = "/".join(file.split("/")[:-1]).strip()
        directory += "/" if directory != '' else ""
        if directory not in files_in_directories:
            files_in_directories[directory] = []
        files_in_directories[directory].append(file.split("/")[-1])

    files_in_directories_string = ""
    for directory, files in files_in_directories.items():
        files_in_directories_string += f"\n./{directory}\n    {' '.join(files)}\n"
    
    return files_in_directories_string



def content(context):
    newline = "\n"
    return f'''
# AIConsole tech stack

AIConsole has a backend build in fastapi, python and uses poetry for dependency management and publishing.
AIConsole uses the local filesystem for storage and does not use a database.

## Contents of project.toml
Try to use the modules that the project already uses.

{ open("pyproject.toml").read() }


## Contents of package.json
Try to use the packages that the project already uses.

{ open("web/package.json").read() }

## List of relevant project files
{list_files()}

'''

material = {
    "usage": "Contains info about the technology stack of AIConsole, always use this material when developing solutions or code for AIConsole",
    "content": content,
}
